Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	which - shows the full path of (shell) commands.
Name:		which
Version:	2.20
Release:	2
License: 	GNU/GPL
URL:		ftp://ftp.gnu.org/pub/gnu/which
Group:		System/Base
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	readline-devel
Requires(pre):		/sbin/install-info
Requires(preun):	/sbin/install-info
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
Which takes one or more arguments.
For each of its arguments it prints to stdout the full path of the executables
that would have been executed when this argument had been entered at the
shell prompt. It does this by searching for an executable or script in the
directories listed in the environment variable PATH using the same
algorithm as bash(1).

%post
/sbin/install-info %_infodir/which.info.gz %_infodir/dir 
ldconfig

%postun
ldconfig

%preun 
if [ "$1" = 0 ]; then 
     /sbin/install-info --delete %_infodir/which.info.gz %_infodir/dir 
fi 

%prep
%setup -q -n %{name}-%{version}

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
# remove unwanted file (conflicts with info)
rm -f $RPM_BUILD_ROOT%_infodir/dir

%files
%defattr(-,root,root)
%_bindir
%_mandir
%_infodir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jan 10 2010 Christian Wasem <wasem@ccux-linux.de> 2.20-2
- removed rpm as a require
* Sun Aug 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.20-1
- Version update
* Thu Jul 24 2008 Christian Wasem <wasem@ccux-linux.de> 2.19-1
- Version update
* Thu Oct 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.17-1
- Version update
* Thu Aug 04 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 2.16-1
- Version Update, rebuilt spec
* Sun Dec 26 2004 Christian Metzen <metzench@ccux-linux.de> 2.14-1
- Initial Release
